当前位置:找DLL下载站系统新闻系统知识系统问题 → linux降低GCC版本

linux降低GCC版本

减小字体 增大字体 作者:佚名  来源:本站整理  发布时间:2015-8-27 7:29:03

  因为很多程序是在比较早期的操作系统中开发的,后来操作系统升级之后,gcc版本也跟着一路飙升,可能以前的程序在新的gcc版本编译会出现很多的问题,更改起来又比较麻烦,所以我们不得不另辟蹊径,降低gcc版本是一个不错的方法。
  (下面所有操作都是在centos5.8 32位操作系统中实验)
  首先,我们通过下面两条命令中的一条可以查看到当前系统使用的gcc版本
rpm -qa | grep gcc
gcc -v
  我们看到当前系统使用的是gcc-4.1.2,但我现在需要把版本降低到gcc-3.4.6,下面是具体的操作过程
  第一步,执行下面命令,查看yum源中是否包含我们需要的gcc版本,结果是包含,文件名为compat-gcc-34.i386
yum list *gcc*
  第二步,执行下面命令进行gcc安装,安装完成之后,通过 ls /usr/bin/gcc* 查看目录下会多出一个文件为 gcc34
yum -y install compat-gcc-34.i386
  第三步,将/usr/bin 目录下 gcc 和 gcc34 文件名互换,这样就完成了gcc版本降低,现在你可以执行 gcc -v 查看到当前版本已经降低到 gcc-3.4.6 版本了。